#include "Vertex.h"

Vertex::Vertex()
{}
Vertex::~Vertex()
{}

#if USE_NORMALS
Vertex::Vertex(Vector3& vertex, Vector3 &normal, Real height){
	setVertex(vertex);
	setNormal(normal);
	setHeight(height);
}
#else
Vertex::Vertex(Vector3& vertex,Real height){
	setVertex(vertex);
	setHeight(height);
}
#endif

void Vertex::setVertex(Vector3& vertex){
	this->vertex = vertex;
}
Vector3 Vertex::getVertex(){
	return vertex;
}


#if USE_NORMALS
void Vertex::setNormal(Vector3& normal){
	this->normal = normal;
}
Vector3 Vertex::getNormal(){
	return normal;
}
#endif

void Vertex::setHeight(Real height){
	this->height = height;
}

Real Vertex::getHeight(){
	return height
}
